// $Id: GLSnow.hh,v 1.3 2005/01/04 10:34:08 m9710797 Exp $

#ifndef __GLSNOW_HH__
#define __GLSNOW_HH__

#include "Layer.hh"
#include "GLUtil.hh"

namespace openmsx {

/** Snow effect for background layer.
  */
class GLSnow: public Layer
{
public:
	GLSnow();
	virtual ~GLSnow();

	// Layer interface:
	virtual void paint();
	virtual const std::string& getName();

private:
	GLuint noiseTextureId;
};

} // namespace openmsx

#endif // __GLSNOW_HH__
